Index: binaries/data/mods/public/simulation/ai/common-api/entity.js
===================================================================
--- binaries/data/mods/public/simulation/ai/common-api/entity.js	(revision 11571)
+++ binaries/data/mods/public/simulation/ai/common-api/entity.js	(working copy)
@@ -126,10 +126,10 @@
 	},
 
 	trainableEntities: function() {
-		if (!this._template.TrainingQueue)
+		if (!this._template.ProductionQueue)
 			return undefined;
 		var civ = this.civ();
-		var templates = this._template.TrainingQueue.Entities._string.replace(/\{civ\}/g, civ).split(/\s+/);
+		var templates = this._template.ProductionQueue.Entities._string.replace(/\{civ\}/g, civ).split(/\s+/);
 		return templates;
 	},
 
Index: binaries/data/mods/public/simulation/ai/common-api-v2/base.js
===================================================================
--- binaries/data/mods/public/simulation/ai/common-api-v2/base.js	(revision 11571)
+++ binaries/data/mods/public/simulation/ai/common-api-v2/base.js	(working copy)
@@ -44,7 +44,7 @@
 // CCmpTemplateManager::CopyFoundationSubset and only includes components
 // that our EntityTemplate class currently uses.)
 var g_FoundationForbiddenComponents = {
-	"TrainingQueue": 1,
+	"ProductionQueue": 1,
 	"ResourceSupply": 1,
 	"ResourceDropsite": 1,
 	"GarrisonHolder": 1,
Index: binaries/data/mods/public/simulation/ai/common-api-v2/entity.js
===================================================================
--- binaries/data/mods/public/simulation/ai/common-api-v2/entity.js	(revision 11571)
+++ binaries/data/mods/public/simulation/ai/common-api-v2/entity.js	(working copy)
@@ -127,10 +127,10 @@
 	},
 
 	trainableEntities: function() {
-		if (!this._template.TrainingQueue)
+		if (!this._template.ProductionQueue)
 			return undefined;
 		var civ = this.civ();
-		var templates = this._template.TrainingQueue.Entities._string.replace(/\{civ\}/g, civ).split(/\s+/);
+		var templates = this._template.ProductionQueue.Entities._string.replace(/\{civ\}/g, civ).split(/\s+/);
 		return templates;
 	},
 
